POST
/api/v2/crypto-virtual-accounts/crypto-address-bookPOST /api/v2/crypto-virtual-accounts/crypto-address-book
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (query) | unknown | No |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | No | |
| currency | string | No | |
| chain_id | unknown | No | |
| address | string | No |
Responses
201 — Created
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| Type | string | No | |
| Reference | string | No | |
| Name | string | No | |
| Currencies | array of string | No | |
| chain_id | unknown | No | |
| Address | string | No | |
| account_number_hint | string | No | |
| account_holder_name_hint | string | No | |
| bank_name | string | No | |
| Country | string | No | |
| beneficiary_type | string | No | |
| payment_rail | string | No | |
| Enabled | boolean | No | |
| created_at | string (date-time) | No |
Example request
curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts/crypto-address-book" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.